# Package net.shibboleth.idp.cas.attribute

@NonnullElements package net.shibboleth.idp.cas.attribute
APIs for CAS attribute support.

Class
Description
AbstractCASAttributeTranscoder<EncodedType extends IdPAttributeValue>
Base class for transcoders that support CAS attributes.
AbstractCASAttributeTranscoder.NamingFunction
A function to produce a "canonical" name for a CAS `Attribute` for transcoding rules.
Attribute
Wrapper class for a CAS attribute/values construct in a validate response.
CASAttributeTranscoder
Marker interface for transcoders that support CAS attributes.